#
# spec file for package perl-Finance-QuoteHist
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Finance-QuoteHist
Version:        1.24
Release:        1.32
%define cpan_name Finance-QuoteHist
Summary:        Perl module for fetching historical stock quotes
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Finance-QuoteHist/
Source0:        http://www.cpan.org/authors/id/M/MS/MSISK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Date::Manip)
BuildRequires:  perl(HTML::TableExtract) >= 2.07
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Text::CSV)
Requires:       perl(Date::Manip)
Requires:       perl(HTML::TableExtract) >= 2.07
Requires:       perl(HTTP::Request)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Text::CSV)
%{perl_requires}

%description
Finance::QuoteHist is a top level interface for fetching historical stock
quotes from the web.

It is actually a front end to modules based on Finance::QuoteHist::Generic,
the main difference being that it has a default _lineup_ of web sites from
which to attempt quote retrieval. If the prospect of mixing data from
multiple sites seems scary to you, then use one of the site-specific
modules directly.

Unless otherwise defined via the _lineup_ attribute, this module will
select a _lineup_ for you, the default being:

    Finance::QutoeHist::Yahoo
    Finance::QutoeHist::Google

Once instantiated, this module behaves identically to the first module in
the _lineup_, sharing all of that module's methods.

Most queries will likely be handled by the first module in the lineup. If
the site is down for some reason, or perhaps that site does not provide
quotes for defunct ticker symbols, then the other sites in the lineup will
be attempted.

See the Finance::QuoteHist::Generic(3) manpage for gory details on all of
the parameters and methods this module accepts. The basic interface is
noted below.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sun Sep 20 2015 coolo@suse.com
- updated to 1.24
  see /usr/share/doc/packages/perl-Finance-QuoteHist/Changes
  1.24  Mon Aug  3 15:55:29 EDT 2015
  - removed some deprecated Date::Manip config statements
  - removed outmoded fetchers
* Sat Jun 27 2015 coolo@suse.com
- updated to 1.23
  see /usr/share/doc/packages/perl-Finance-QuoteHist/Changes
  1.23  Thu May 21 11:48:11 EDT 2015
  - patched quotes test to properly skip tests
    without network connectivity (RT #104358)
  1.22  Mon Apr 20 14:15:32 EDT 2015
  - fixed dividend/split entanglement on yahoo
    rt.cpan.org #103759
  1.21  Fri Jan  9 11:25:10 EST 2015
  - fixed splits on yahoo
  - removed BusinessWeek
* Sun May  3 2015 coolo@suse.com
- updated to 1.20
  see /usr/share/doc/packages/perl-Finance-QuoteHist/Changes
  1.20  Tue Oct  8 14:54:48 EDT 2013
  - added DailyFinance
  - removed QuoteMedia, MSN, Investopedia
  1.19  Mon Aug 29 11:08:08 EDT 2011
  - fixed test data window (1.17 was a little *too*
    recent for reliable monthly tests)
  - 1.18 skipped, CPAN version appeasement
  1.17  Fri Aug 26 19:31:05 EDT 2011
  - Updated tests with more recent data
* Sun May  3 2015 coolo@suse.com
- updated to 1.19
  see /usr/share/doc/packages/perl-Finance-QuoteHist/Changes
  1.19  Mon Aug 29 11:08:08 EDT 2011
  - fixed test data window (1.17 was a little *too*
    recent for reliable monthly tests)
  - 1.18 skipped, CPAN version appeasement
  1.17  Fri Aug 26 19:31:05 EDT 2011
  - Updated tests with more recent data
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 1.16
  * created by cpanspec 1.78.04
